package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFIC7Data {

    private Map<String, Object> params;
    
    public MWFIC7Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsInstAddrKey() {
        return (Long) params.get("RS_INST_ADDR_KEY");
    }

    public String rsStreetDescNo() {
        return (String) params.get("RS_STREET_DESC_NO");
    }

    public String rsStreetOrientNo() {
        return (String) params.get("RS_STREET_ORIENT_NO");
    }

    public String rsCity() {
        return (String) params.get("RS_CITY");
    }

    public String rsStreet() {
        return (String) params.get("RS_STREET");
    }

    public String rsZipcode() {
        return (String) params.get("RS_ZIPCODE");
    }

    public String rsCntry() {
        return (String) params.get("RS_CNTRY");
    }

    public String rsPurp() {
        return (String) params.get("RS_PURP");
    }

    public String rsPostOffice() {
        return (String) params.get("RS_POST_OFFICE");
    }

    public java.util.Date rsAddrSince() {
        return (java.util.Date) params.get("RS_ADDR_SINCE");
    }

    public String rsAddressee() {
        return (String) params.get("RS_ADDRESSEE");
    }

    public Long rsVerifiedByCourierFlag() {
        return (Long) params.get("RS_VERIFIED_BY_COURIER_FLAG");
    } 

}
